/**
  *  \file client/screens/planettaskscreen.h
  *  \brief Planet Task Screen
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_SCREENS_PLANETTASKSCREEN_H
#define PCC_V2_CLIENT_SCREENS_PLANETTASKSCREEN_H

#include "client/screens/taskscreen.h"
#include "int/exec.h"

class UIBaseWidget;

/** Object type for planet and starbase auto tasks. */
class WPlanetAutoTaskType : public WAutoTaskObjectType {
    IntExecutionContext::ProcessKind pk;
 public:
    WPlanetAutoTaskType(GObjectType& base, IntExecutionContext::ProcessKind pk);
    IntExecutionContext* getTask(bool create);

    void createSetFCodeCommand();
    void createCargoCommand(UIBaseWidget& sender);
};

void doPlanetAutoTaskScreen();

#endif
