/**
  *  \file client/widgets/taskeditlist.h
  *  \brief WAutoTaskEditorList widget
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_TASKEDITLIST_H
#define PCC_V2_CLIENT_WIDGETS_TASKEDITLIST_H

#include "ui/listbox.h"
#include "int/autotask.h"

/** Auto task editor list. Displays the contents of an
    IntAutoTaskEditor. Otherwise, this is completely passive and
    offers no editing abilities. */
class WAutoTaskEditorList : public UIListbox {
    const IntAutoTaskEditor& editor;
 public:
    WAutoTaskEditorList(const IntAutoTaskEditor& editor, int lines, int width);
    ~WAutoTaskEditorList();

    void update(bool new_task);

    // UIListbox:
    void drawPart(GfxCanvas& can, int from, int to);
};

#endif
