/**
  *  \file int/process.h
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_PROCESS_H
#define PCC_V2_INT_PROCESS_H

#include "cpluslib/string.h"
#include "cpluslib/ptrvector.h"
#include "cpluslib/types.h"

class IntExecutionContext;
class GObject;

typedef ptr_vector<IntExecutionContext> IntProcessList;

IntExecutionContext& createProcess(string_t name);
void runRunnableProcesses();
void terminateAllProcesses();
void killTerminatedProcesses();
bool hasAnyRunnableProcess();
bool runTemporaryProcess(IntExecutionContext& exec);
void handlePriorityChange(IntExecutionContext& proc);
IntExecutionContext* getProcessByObject(const GObject* obj, uint8_t kind);

const IntProcessList& getProcessList();

#endif
